GStreamer(1)

NAME
gst-md5sum - get an md5sum of a GStreamer pipeline through md5sink

SYNOPSIS
gst-md5sum [OPTION...] PARTIAL-PIPELINE-DESCRIPTION

DESCRIPTION

gst-md5sum generates MD5 checksums of the data generated by a GStreamer pipeline. In theory, running
    gst-md5sum filesrc location=music.mp3 should print out the same checksum as
    md5sum music.mp3 The pipeline should be incomplete, that is, a final sink element should be omitted, so that gst-md5sum can connect the pipeline to an md5sink element. See the man page for gst-launch or the GStreamer docuementation for more information on how to create a PARTIAL-PIPELINE-DESCRIPTION.

OPTIONS
gst-md5sum accepts the following options:

--help
    Print help synopsis and available FLAGS

-v  Output verbose information

--gst-info-mask=FLAGS
    GStreamer info flags to set (list with --help)

--gst-debug-mask=FLAGS
    GStreamer debugging flags to set (list with --help)

--gst-mask=FLAGS
    GStreamer info and debugging flags to set (list with --help)

--gst-plugin-spew
    GStreamer info flags to set Enable printout of errors while loading GStreamer plugins

--gst-plugin-path=PATH
    Add directories separated with ':' to the plugin search path

SEE ALSO
gst-launch(1)

AUTHOR
The GStreamer team at http://gstreamer.net/